Add Mail Forward
curl -X PUT "https://api.5centscdn.com/v2/dns/example_string/mail" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"box": "admin",
"host": "www",
"destination": "noreply@gmail.com",
"_METHOD": "PUT"
}'
import requests
import json
url = "https://api.5centscdn.com/v2/dns/example_string/mail"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"box": "admin",
"host": "www",
"destination": "noreply@gmail.com",
"_METHOD": "PUT"
}
response = requests.put(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/dns/example_string/mail", {
method: "PUT",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"box": "admin",
"host": "www",
"destination": "noreply@gmail.com",
"_METHOD": "PUT"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"box": "admin",
"host": "www",
"destination": "noreply@gmail.com",
"_METHOD": "PUT"
}`)
req, err := http.NewRequest("PUT", "https://api.5centscdn.com/v2/dns/example_string/mail", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/dns/example_string/mail')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Put.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"box": "admin",
"host": "www",
"destination": "noreply@gmail.com",
"_METHOD": "PUT"
}'
response = http.request(request)
puts response.body
{
"status": "Success",
"statusDescription": "The mail forward has been added successfully.",
"data": {
"id": 12345
}
}
PUT
/dns/{dnsId}/mailPUT
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
Content-Typestring
RequiredThe media type of the request body
Options: application/json
boxstring
Email username or mailbox name to forward from.
hoststring
Subdomain part of the source address. Leave empty for the root domain.
destinationstring
Destination email address to forward messages to.
_METHODstring
Method override to trigger mail forward creation.
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
Body
application/json
Responses
statusstring
Operation outcome.
statusDescriptionstring
Human-readable description of the operation outcome.
dataobject
Response data payload.
idinteger
Unique identifier of the created mail forward rule.
Was this page helpful?